<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<xsd:schema xmlns="http://www.ote-cr.cz/schema/sfvot/gasrequest" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/sfvot/gasrequest" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:element name="SFVOTGASREQ">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:choice>
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Další část xml dokumentu obsahuje informace o obchodu v IS OTE</xsd:documentation>
						<xsd:documentation xml:lang="EN">Following part of xml document contains IS OTE trade information</xsd:documentation>
					</xsd:annotation>
					<xsd:element name="Interval">
						<xsd:annotation>
							<xsd:documentation xml:lang="CS">Období, pro které jsou požadována data</xsd:documentation>
							<xsd:documentation xml:lang="EN">Period, which are the data requested for</xsd:documentation>
						</xsd:annotation>
						<xsd:complexType>
							<xsd:attribute name="date-from" type="xsd:date" use="required">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Počátek období, pro které jsou požadována data</xsd:documentation>
									<xsd:documentation xml:lang="EN">Start of period, which are the data requested for.</xsd:documentation>
								</xsd:annotation>
							</xsd:attribute>
							<xsd:attribute name="date-to" type="xsd:date" use="required">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Konec období, pro které jsou požadována data</xsd:documentation>
									<xsd:documentation xml:lang="EN">End of period, which are the data requested for.</xsd:documentation>
								</xsd:annotation>
							</xsd:attribute>
						</xsd:complexType>
					</xsd:element>
				</xsd:choice>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="GF1">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Invoicing base data - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GF4">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci OTE - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE Invoicing base data - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GF7">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Přehled plateb a reklamací - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Payments and refunds overview - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFA">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Přehled plateb a reklamací OTE - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE Payments and refunds overview - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFD">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zúčtování rozdílů z TDD - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">LP differences settlement - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFG">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zúčtování rozdílů z TDD OTE - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE LP differences settlement - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFJ">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci - souhrn MV</xsd:documentation>
								<xsd:documentation xml:lang="EN">Invoicing base data - summary</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFM">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci OTE - souhrn MV</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE Invoicing base data - summary</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFP">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Prehled reklamaci - souhrn ZMV</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim overview - summary</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFS">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Prehled reklamaci OTE - souhrn ZMV</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE claim overview - summary</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFV">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Netting TDP - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">LPG netting - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GFY">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Clearing ztrát - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Loss clearing - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GG2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Clearing ztrát OTE - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Loss clearing OTE - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GG5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Definitivní zúčtování rozdílů z TDD - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Final Settlement of Clearing Differences - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GG8">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Definitivní zúčtování rozdílů z TDD OTE - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Final Settlement of Clearing Differences OTE - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGB">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na vypořádací kurz OTE - plyn</xsd:documentation>
								<xsd:documentation xml:lang="EN">OTE settlement rate - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGE">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na měsíční vyhodnocení odchylek </xsd:documentation>
								<xsd:documentation xml:lang="EN">Monthly evaluation of imbalances- request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGH">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na závěrečné měsíční vyhodnocení odchylek</xsd:documentation>
								<xsd:documentation xml:lang="EN">Final monthly evaluation of imbalances - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGK">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz Podklady pro fakturaci – Solidarita plyn</xsd:documentation>
								<xsd:documentation xml:lang="EN">Invoicing base data - solidarity gas - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGN">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na podklady pro fakturaci MPO – Solidarita plyn</xsd:documentation>
								<xsd:documentation xml:lang="EN">MPO Invoicing base data - solidarity gas - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGT">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci SZ – Solidarita plyn – oprava - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Billing Report BRP - Solidarity gas - correction - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GGW">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Podklady pro fakturaci MPO – Solidarita plyn – oprava - dotaz</xsd:documentation>
								<xsd:documentation xml:lang="EN">Billing Report MPO - Solidarity gas - correction - request</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GHA">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">DEFINITIVNÍ NETTING TDP - DOTAZ</xsd:documentation>
								<xsd:documentation xml:lang="EN">Final LPG netting - REQUEST</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>